Subject: Re: bug#21529: 2015-09-20; Xemacs, auctex git, cannot run latex,pdflatex

From: Mosè Giordano <[email-masked]>
Date: Mon, 21 Sep 2015 13:45:12 +0200

Hi Uwe,

2015-09-21 12:49 GMT+02:00 Uwe Brauer <[email-masked]>:
>
> Hi
>
>
> I finally, thanks to Mose can compile the latest git as a xemacs pkg, I
> installed it but when trying to run latex I obtain the following error
> message which I attach:
>
> Uwe Brauer
>
>
> Running `LaTeX' on `new' with ``latex %(file-line-error)  -src-specials -interaction=nonstopmode "\input" new.tex''
> /bin/sh: Syntax error: "(" unexpected

I can't reproduce this error with XEmacs 21.4.22.  It seems
"%(file-line-error)" didn't get expanded for you, but for me it does
work:

    Running `LaTeX' on `foo' with ``pdflatex -file-line-error --synctex=1
    -interaction=nonstopmode "\input" foo.tex''

Do you have "%(file-line-error)" in `TeX-expand-list'?

Bye,
Mosè